import UiFilterButton from '@/components/table/UiFilterButton.vue';
import template from '@/documentation/template_internal_component.mdx';

export default {
  parameters: {
    docs: {
      page: template,
    },
  },
  tags: ['code-only'],
  title: 'Composants/table/UiFilterButton',
  component: UiFilterButton,
  argTypes: {},
};

const Template = (args) => ({
  components: {
    UiFilterButton,
  },
  setup() {
    return { args };
  },
  template: `<UiFilterButton v-bind="args" />`,
});

export const Default = Template.bind({});
Default.args = {};

export const activeFilters = Template.bind({});
activeFilters.args = {
  activeFiltersNb: 5,
};

export const openedFilters = Template.bind({});
openedFilters.args = {
  activeFiltersNb: 5,
  isFilterVisible: true,
};
